Bug 1823622 - [4.4] - Authentication operator is spamming message change events
Summary: [4.4] - Authentication operator is spamming message change events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Maru Newby
QA Contact: pmali
URL:
Whiteboard:
Depends On: 1817748
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-14 04:53 UTC by Maru Newby
Modified: 2020-06-17 22:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1817748
Environment:
Last Closed: 2020-06-17 22:26:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 278 None closed Bug 1823622: [release-4.4] Fix ingress state condition flapping 2020-09-09 04:57:03 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:28 UTC

Description Maru Newby 2020-04-14 04:53:45 UTC
+++ This bug was initially created as a clone of Bug #1817748 +++

https://search.svc.ci.openshift.org/?search=No+subsets+found+for+the+endpoints+of+oauth-server&maxAge=48h&context=0&type=build-log#

This message is confusing and spammy and looks like a real problem (also, message shouldn't be changing to empty when the operator is not degraded).

Mar 26 19:32:07.989 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (27 times)
Mar 26 19:12:07.695 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (6 times)
Mar 26 19:12:09.521 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "" to "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" (6 times)
Mar 26 19:17:06.790 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (12 times)
Mar 26 19:22:06.903 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (17 times)
Mar 26 19:27:07.792 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (22 times)
Mar 26 19:32:07.989 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (27 times)
Mar 26 19:32:07.989 I ns/openshift-authentication-operator deployment/authentication-operator Status for clusteroperator/authentication changed: Degraded message changed from "IngressStateEndpointsDegraded: No subsets found for the endpoints of oauth-server" to "" (27 times)

Comment 2 Stefan Schimanski 2020-04-22 13:05:57 UTC
Moving to 4.4z as this does not seem to be a blocker.

Comment 3 Maru Newby 2020-05-20 14:38:43 UTC
PR is patiently waitin for cherry-pick-approved.

Comment 8 Maru Newby 2020-06-05 06:50:25 UTC
@pmali

The PR has merged to the release-4.4 branch, as per the linked PR. There's nothing more for engineering to do, and accordingly I'm moving it back to modified.  How long does it normally take for a landed change to show up in a release? And who do you talk to if a merged change doesn't show up in a release in a timely manner?

Comment 13 errata-xmlrpc 2020-06-17 22:26:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445


Note You need to log in before you can comment on or make changes to this bug.